source "$CONFIGDIR/zsh/plugins/zsh-git-prompt/zshrc.sh"
source "$CONFIGDIR/zsh/plugins/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh"
source "$CONFIGDIR/zsh/plugins/zsh-autosuggestions/zsh-autosuggestions.zsh"

# Autocomplete
ZSH_AUTOSUGGEST_USE_ASYNC=true
ZSH_AUTOSUGGEST_STRATEGY=(history completion)

# Prompt
configPrompt() {
  PROMPT="[%c] "
  RPROMPT="$(git_super_status)"
}

[[ -z $precmd_functions ]] && precmd_functions=()
precmd_functions=($precmd_functions configPrompt)

